Bug 2030530 - VM created via customize wizard has single quotation marks surrounding its password
Summary: VM created via customize wizard has single quotation marks surrounding its pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.10
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.11.0
Assignee: Hilda Stastna
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-09 04:15 UTC by Guohua Ouyang
Modified: 2022-08-10 10:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-10 10:40:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
reproduce video (2.86 MB, application/octet-stream)
2022-01-18 12:59 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10930 0 None open Bug 2030530: - Remove quotation marks surrounding VM pwd 2022-01-25 19:20:22 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 10:40:47 UTC

Description Guohua Ouyang 2021-12-09 04:15:59 UTC
Description of problem:
VM created via customize wizard has single quotation marks surround password.

   volumes:
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              user: fedora
              password: 'qk7g-i3ew-ckbi'
              chpasswd:

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
single quotation mards surrounds the password

Expected results:
no the single quotation mards around the password

Additional info:

Comment 3 Hilda Stastna 2022-01-18 12:45:53 UTC
Exact steps to reproduce:

1. Go to Virtualization -> Templates (VM templates list)
2. Choose some common template (not user-created template) and click on "Create VM"
3. Click on "Customize virtual machine"
4. Fill in the general required info
5. Click on "Review and confirm" (don't click on "Next" button)
6. Click on "Create Virtual Machine"
7. Check the "password" in the VM details (YAML tab)

Comment 4 Guohua Ouyang 2022-01-18 12:59:35 UTC
Created attachment 1851562 [details]
reproduce video

Comment 5 Hilda Stastna 2022-01-18 13:59:39 UTC
Note:
it may be possible to reproduce the bug also when clicking on Next button (step 5 from my previous comment).

Comment 8 Guohua Ouyang 2022-02-11 05:23:03 UTC
verified on master

Comment 10 errata-xmlrpc 2022-08-10 10:40:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.